Subject: Re: bug#9402: list-colors-display

From: Jan Djärv <[email-masked]>
Date: Wed, 31 Aug 2011 21:02:13 +0200

Chong Yidong skrev 2011-08-31 18:17:
> Eli Zaretskii<[email-masked]>  writes:
>
>>> Another question is why the face definition of `region' has
>>> platform-specific colors for GTK and NS, but not for Windows.
>>
>> I would actually turn the table and ask why the heck do we have
>> system-specific defaults for GTK and NS.  I thought Emacs was supposed
>> to behave the same on all platforms, except where it's impossible.
>
> In this case, the behavior is "use the system default" ;-)
>
> FWIW, I am also ambivalent about this feature.  The system selection
> color can clash with the default Emacs foreground/background color,
> unless those colors are also taken from the system (which AFAIK it is
> not).
>
>

Well, Emacs does not try to avoid that either.  On a non-gtk, but X Emacs do
emacs -Q -bg lightgoldenrod2

and then mark some text.  The region face will be invisible.

	Jan D.